python-senlinclient is broken with openstacksdk 0.190

Bug #1802417 reported by Duc Truong on 2018-11-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
senlin
Undecided
Unassigned

Bug Description

With latest openstacksdk (0.19.0), most commands for senlin client are broken.
The reason is that openstacksdk removed their deprecated function in clustering proxy.
E.g.: https://github.com/openstack/openstacksdk/blob/0.17.2/openstack/clustering/v1/_proxy.py#L431

Instead of cluster_resize, we have to change the senlin client to call resize_cluster.

Duc Truong (dtruong) wrote :

The workaround for using master python-senlinclient is to install openstacksdk 0.17.2

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers